Loading...
Searching...
No Matches
gx_parameter.h File Reference

Go to the source code of this file.

## Classes

class | gx_engine::ParameterGroups
class | gx_engine::Parameter
class | gx_engine::ParameterV< T >
class | gx_engine::ParameterV< float >
class | gx_engine::FloatEnumParameter
class | gx_engine::ParameterV< int >
class | gx_engine::EnumParameter
class | gx_engine::ParameterV< bool >
class | gx_engine::FileParameter
class | gx_engine::ParameterV< Glib::ustring >
class | gx_engine::ParamMap
class | gx_engine::MidiStandardControllers
struct | gx_engine::MidiStandardControllers::modstring
class | gx_engine::MidiController
class | gx_engine::MidiClockToBpm
class | gx_engine::ControllerArray
class | gx_engine::MidiControllerList

## Namespaces

namespace | gx_system
namespace | gx_engine

## Macros

#define | SRC_HEADERS_GX_PARAMETER_H_
#define | debug_check(func, ...)

## Typedefs

typedef ParameterV< float > | gx_engine::FloatParameter
typedef ParameterV< int > | gx_engine::IntParameter
typedef ParameterV< bool > | gx_engine::BoolParameter
typedef ParameterV< Glib::ustring > | gx_engine::StringParameter
typedef list< Parameter * > | gx_engine::paramlist
typedef list< MidiController > | gx_engine::midi_controller_list

## Functions

ParameterGroups & | gx_engine::get_group_table ()
string | gx_engine::param_group (const string &group_id, bool nowarn=false)
void | gx_engine::compare_parameter (const char *title, Parameter *p1, Parameter *p2, bool all=false)

## Variables

MidiStandardControllers | gx_engine::midi_std_ctr

## Macro Definition Documentation

## debug_check

#define debug_check | ( |  | func,
|  |  | ... )

Value:
func(__VA_ARGS__)

Definition at line 36 of file gx_parameter.h.

Referenced by gx_gui::connect_midi_controller(), gx_engine::ParameterGroups::insert(), gx_engine::ParameterGroups::operator[](), gx_engine::ParamMap::operator[](), and gx_engine::ParamMap::operator[]().

## SRC_HEADERS_GX_PARAMETER_H_

#define SRC_HEADERS_GX_PARAMETER_H_

Definition at line 29 of file gx_parameter.h.